/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

.searchBarImage {
  height: 36px;
  width: 631px;
  margin-inline-start: 33px;
  -moz-context-properties: fill, stroke;
  fill: var(--in-content-box-background);
  stroke: var(--in-content-box-border-color);
}

.searchBarImage:-moz-locale-dir(rtl) {
  transform: scaleX(-1);
}

.searchBarHiddenImage {
  list-style-image: url("chrome://browser/skin/preferences/in-content/no-search-bar.svg");
}

#searchBarShownRadio {
  /* Allow a little visual space to separate the radio from the image above it. */
  margin-top: 10px;
}

.searchBarShownImage {
  list-style-image: url("chrome://browser/skin/preferences/in-content/search-bar.svg");
}

#defaultEngine,
#defaultPrivateEngine {
  margin-inline-start: 0;
}

#defaultEngine::part(icon),
#defaultPrivateEngine::part(icon) {
  height: 16px;
  width: 16px;
}

/* work around a display: none in Linux's menu.css, see bug 1112310 */
.searchengine-menuitem > .menu-iconic-left {
  display: -moz-box;
}

#engineList {
  margin: .5em 0;
}

#engineList treechildren::-moz-tree-image(engineName) {
  margin-inline: 1px 10px;
  width: 16px;
  height: 16px;
}

#engineList treechildren::-moz-tree-drop-feedback {
  background-color: Highlight;
  width: 10000px; /* 100% doesn't work; 10k is hopefully larger than any window
                     we may have, overflow isn't visible. */
  height: 2px;
  margin-inline-start: 0;
}

#engineShown {
  min-width: 26px;
}

#addEnginesBox {
  margin-bottom: 1em;
}

#removeEngineButton,
#restoreDefaultSearchEngines {
  margin-inline: 0;
}
